Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.crmf
Class PKIArchiveOptions

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.crmf.PKIArchiveOptions

All Implemented Interfaces:
  ASN1Choice, ASN1Encodable, Encodable

public class PKIArchiveOptions
extends ASN1Object
implements ASN1Choice

Field Summary
`static int` | `archiveRemGenPrivKey`
`static int` | `encryptedPrivKey`
`static int` | `keyGenParameters`

Constructor Summary
`PKIArchiveOptions(ASN1OctetString keyGenParameters)`
`PKIArchiveOptions(boolean archiveRemGenPrivKey)`
`PKIArchiveOptions(EncryptedKey encKey)`

Method Summary
`static PKIArchiveOptions` | `getInstance(java.lang.Object o)`
`int` | `getType()`
`ASN1Encodable` | `getValue()`
`ASN1Primitive` | `toASN1Primitive()` PKIArchiveOptions ::= CHOICE { encryptedPrivKey [0] EncryptedKey, -- the actual value of the private key keyGenParameters [1] KeyGenParameters, -- parameters which allow the private key to be re-generated archiveRemGenPrivKey [2] BOOLEAN } -- set to TRUE if sender wishes receiver to archive the private -- key of a key pair that the receiver generates in response to -- this request; set to FALSE if no archival is desired.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### encryptedPrivKey

    public static final int encryptedPrivKey

See Also:
  Constant Field Values

### keyGenParameters

    public static final int keyGenParameters

See Also:
  Constant Field Values

### archiveRemGenPrivKey

    public static final int archiveRemGenPrivKey

See Also:
  Constant Field Values

Constructor Detail

### PKIArchiveOptions

    public PKIArchiveOptions(EncryptedKey encKey)

### PKIArchiveOptions

    public PKIArchiveOptions(ASN1OctetString keyGenParameters)

### PKIArchiveOptions

    public PKIArchiveOptions(boolean archiveRemGenPrivKey)

Method Detail

### getInstance

    public static PKIArchiveOptions getInstance(java.lang.Object o)

### getType

    public int getType()

### getValue

    public ASN1Encodable getValue()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  PKIArchiveOptions ::= CHOICE { encryptedPrivKey [0] EncryptedKey, -- the actual value of the private key keyGenParameters [1] KeyGenParameters, -- parameters which allow the private key to be re-generated archiveRemGenPrivKey [2] BOOLEAN } -- set to TRUE if sender wishes receiver to archive the private -- key of a key pair that the receiver generates in response to -- this request; set to FALSE if no archival is desired.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD